Rewrite Special:DoubleRedirects to use redirect table
Closed, ResolvedPublic

Assigned To
None
Priority
High
Author
bzimport
Subscribers
None
Projects
Reference
bz8799
Description

Author: vic.garin

Description:
Updates for this page are currently disabled. Request Urgent Update. Please. Thank you.


Version: 1.10.x
Severity: enhancement
URL: http://en.wikipedia.org/wiki/Special:DoubleRedirects

bzimport added a project: MediaWiki-Special-pages.Via ConduitNov 21 2014, 9:33 PM
bzimport set Reference to bz8799.
bzimport created this task.Via LegacyJan 28 2007, 12:46 AM
bzimport added a comment.Via ConduitJan 28 2007, 12:48 AM

vic.garin wrote:

And we can click next even though there is nothing.
http://en.wikipedia.org/wiki/Special:DoubleRedirects

bzimport added a comment.Via ConduitJan 28 2007, 1:01 AM

ayg wrote:

Tim turned it off for load reasons. Maybe if it's made more efficient it could be turned back on.

Shouldn't this be rewritten using the new redirects table? Would that make it faster?

bzimport added a comment.Via ConduitFeb 3 2007, 11:33 PM

moe_epsilon wrote:

Moez Roy is correct.

This needs to be re-enabled ASAP.

bzimport added a comment.Via ConduitFeb 3 2007, 11:55 PM

robchur wrote:

(In reply to comment #3)

This needs to be re-enabled ASAP.

It will be re-enabled when it's been rewritten to be more efficient and not kill
our database servers. Or would you rather all the sites were horribly slow and
the data was nasty and inconsistent and generally fubared?

bzimport added a comment.Via ConduitFeb 3 2007, 11:56 PM

robchur wrote:

(Changing product to MediaWiki, since it's a software issue if we have to
rewrite it)

bzimport added a comment.Via ConduitFeb 4 2007, 1:06 AM

mets501wiki wrote:

Actually, I would rather the site be horribly slow for a couple of minutes every
30 days if it updated.

bzimport added a comment.Via ConduitFeb 4 2007, 1:10 AM

robchur wrote:

(In reply to comment #6)

Actually, I would rather the site be horribly slow for a couple of minutes every
30 days if it updated.

Smart-ass comments like these are not helpful, nor welcome on this bug tracker.

bzimport added a comment.Via ConduitFeb 4 2007, 1:14 AM

mets501wiki wrote:

That was not a smart-ass comment, nor was it intended to be sarcastic, rude, or
unhelpful, and I'm very sorry if it came off that way. I was simply saying that
I consider this page extremely important, and would rather have the site be slow
for a couple of minutes every 30 days than have this non-updating. :-)

bzimport added a comment.Via ConduitFeb 4 2007, 1:41 AM

ayg wrote:

If it were a matter of a couple of minutes every 30 days, it probably wouldn't be shut off.

Please do not post anything here that doesn't contribute to a technical solution. Vote for the bug,
and if you must grumble please do so on VPT or somewhere. Thank you.

bzimport added a comment.Via ConduitFeb 5 2007, 5:12 AM

vic.garin wrote:

"If it were a matter of a couple of minutes every 30 days, it probably wouldn't be
shut off."

Could Tim give his actual reasoning for turning off?

bzimport added a comment.Via ConduitFeb 5 2007, 2:25 PM

rotemliss wrote:

*** Bug 7794 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitFeb 5 2007, 2:28 PM

rotemliss wrote:

Patch by WebBoy

Moving the patch (created by WebBoy) from Bug 7794 Comment 3 here.

attachment DoubleAndBrokenRedirectsFix.patch ignored as obsolete

bzimport added a comment.Via ConduitFeb 5 2007, 8:16 PM

webboy wrote:

New patch for SpecialDoubleRedirects.php and SpecialBrokenRedirects.php

Updated patch

Attached: bug8799.patch

bzimport added a comment.Via ConduitFeb 6 2007, 5:13 AM

moe_epsilon wrote:

Broken redirects seems to be functional again as of 07:25
February 4th, but Double redirects is not updating still.

bzimport added a comment.Via ConduitFeb 24 2007, 5:36 PM

vic.garin wrote:

Can some one test this Patch so RobChurch or Brion can implement it into
en.wikipedia.org?

bzimport added a comment.Via ConduitFeb 24 2007, 5:49 PM

robchur wrote:

Patch appears to work.

bzimport added a comment.Via ConduitFeb 27 2007, 8:37 PM

vic.garin wrote:

Hurray, now implement it into en.wikipedia.org. Please.

bzimport added a comment.Via ConduitFeb 27 2007, 8:41 PM

robchur wrote:

  1. It is rude to add others to the CC-list for a bug without their permission.
  2. Assuming you or one of your colleagues was the person attempting to flag me

down in IRC earlier; that is obnoxious and unacceptable behaviour.

  1. The patch will be applied when someone has time to do it.
bzimport added a comment.Via ConduitFeb 27 2007, 8:51 PM

vic.garin wrote:

"The patch will be applied when someone has time to do it."

Who would that someone be?

aaron added a comment.Via ConduitFeb 27 2007, 9:03 PM

Patch implemented in r20071

Add Comment